Description

Derzeit erzeugen unsere Kompressionstools die Attribute

(0028,2110) CS [01] # LossylmageCompression

(0028,2112) DS [7.83] # LossylmageCompressionRatio
(0028,2114) CS [ISO_10918_1] # LossylmageCompressionMethod

nur beim Komprimieren eines Bildes mit verlustbehafteter Kompression.
Wenn ein Bild in verlustbehaftet komprimierter Form diese Attribute
nicht enthalt (weil es mit einem anderen Toolkit erzeugt wurde),

fagen wir sie beim Dekomprimieren nicht hinzu - damit ist das Bild
hinterher nicht mehr als verlustbehaftet erkennbar.

Es ist vermutlich nicht trivial, zu erkennen, ob ein Bild bereits

einen korrekten Eintrag in obigen Datenelementen enthalt, denn die

kénnen ja mehrwertig sein, wenn ein Bild mehrfach komprimiert und

dekomprimiert wurde. Wir kdnnen aber zumindest * LossylmageCompression erzeugen bzw. auf 01 setzen * Prifen, ob
LossylmageCompressionMethod existiert und am Ende einen Eintrag enthalt, der dem aktuellen Verfahren entspricht - wenn nein,
einfiigen. * In diesem Fall auch die Kompressionsrate berechnen (aus der Gréf3e der Fragmente - tun wir im Encoder ja genauso)
und LossylmageCompressionRatio setzen.

Damit bliebe nur der Fall Gbrig, dass ein Bild mehrfach mit dem gleichen Verfahren komprimiert wird. Hier kann man bestenfalls
"eingreifen", wenn die von uns berechnete LossylmageCompressionRatio deutlich gréBer als die im Datensatz vermerkte ist.

History

#1 - 2013-04-19 10:53 - J6rg Riesmeier
- Category set to Library

- Target version set to 3.6.2

The Debian package maintainer regards this issue as important: http:/bugs.debian.org/cgi-bin/bugreport.cgi?bug=675448

#2 - 2017-03-24 12:55 - Marco Eichelberg

- Priority changed from Normal to Low

#3 - 2017-04-14 19:33 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commits 23720ba (DCMTK public) and c5b8f65 (private modules).

#4 - 2018-03-09 11:46 - Michael Onken
Also closes Debian bug #675448, see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=675448 (fix reported to Debian on 2018-03-09)
